/* =========================
   Exercises
   ========================= */

.exercises {
    position: relative;
    padding-top: 48px;
    padding-bottom: 96px;
    align-items: center;
}

.exercises--catalog-top {
    padding-top: 24px;
}

.exercises__decor__img {
    position: absolute;
    width: auto;
    height: auto;
    z-index: -1;
    opacity: 0.2;
}

.exercises__decor__img:nth-child(1) {
    top: 10px;
    left: -20px;
}

.exercises__decor__img:nth-child(2) {
    top: 50px;
    right: 30px;
}

.exercises__decor__img:nth-child(3) {
    bottom: 58px;
    left: -40px;
}

.exercises__decor__img:nth-child(4) {
    bottom: 150px;
    right: -20px;
}

.exercises__header {
    max-width: 940px;
    gap: 16px;
    margin-bottom: 24px;
}

.exercises__badge {
    font-size: 16px;
}

.exercises h2 {
    max-width: 1050px;
}

.exercises__content {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 12px;
}

.exercises__content--small {
    max-width: 840px;
}

.exercises__card__link__wrapper {
    display: inline-flex;
    align-items: stretch;
    max-width: 200px;
    min-width: min-content;
    width: 100%;
    box-sizing: content-box;
    padding-right: var(--padding-right, 0);
}

.universal-card-wrapper.exercises__card {
    border-color: var(--orange);
    border-width: 2px;
    border-bottom-width: 2px;
    border-radius: 24px;
    gap: 8px;
    justify-content: space-between;
    transition: all .4s ease;
}

@media screen and (min-width: 769px) {
    .universal-card-wrapper.exercises__card {
        height: 120px;
        padding: 0 24px;
        justify-content: center;
    }
    
}

@media (hover: hover) and (pointer: fine) {
    .universal-card-wrapper.exercises__card:hover {
        background: var(--light-orange);
    }
}

.exercises__card__header {
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.exercises__card__header__icons {
    gap: 8px;
}

.exercises__card__header__icon {
    display: inline-block;
    width: 36px;
    height: 36px;
}

.exercises__card__free {
    padding: 4px 12px;
    min-height: 32px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #EBEDEF;
    border-radius: 999px;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    color: var(--orange);
}

.exercises__card__text {
    font-family: var(--font-serif);
    font-size: 19px;
    font-weight: 700;
    line-height: 1.2;
    color: var(--text);
    word-break: break-word;
}

@media screen and (max-width: 1024px) {
    .exercises__decor__img {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .exercises {
        align-items: flex-start;
        padding-top: 24px;
        padding-bottom: 24px;
    }

    .exercises--bottom {
        align-items: center;
    }

    .exercises {
        padding-top: 32px;
        padding-bottom: 32px;
    }

    .exercises--catalog-top {
        padding-top: 16px;
    }

    .exercises__header {
        margin-bottom: 16px;
    }

    .exercises__badge {
        align-self: flex-start;
        border-radius: 99px;
    }

    .exercises h2 {
        text-align: start;
    }

    .exercises--bottom h2 {
        text-align: center;
    }

    .exercises--bottom .exercises__badge {
        align-self: center;
    }

    .exercises__content {
        gap: 8px;
    }

    .exercises__card__link__wrapper {
        max-width: calc(50% - 8px);
        padding-right: 0;
    }

    .universal-card-wrapper.exercises__card {
        padding: 11px 11px 8px;
    }

    .exercises__card__header img {
        width: 28px;
        height: 28px;
    }

    .exercises__card__free {
        min-height: 22px;
        font-size: 12px;
    }

    .exercises__card__text {
        font-size: 19px;
    }
}

@media screen and (max-width: 350px) {
    .exercises__card__link__wrapper {
        max-width: none;
    }
}
